<div class="mat-elevation-z8 la-pas-la">
  <mat-table [dataSource]="lasAffiches" matSort matSortActive="Qui" matSortDirection="desc"
  matSortDisableClear (scroll)="onTableScroll($event)">
  <!-- Colonne nom -->
  <ng-container matColumnDef="Qui">
    <mat-header-cell *matHeaderCellDef mat-sort-header> Qui </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.qui}} </mat-cell>
  </ng-container>
  <!-- Colonne nom -->
  <ng-container matColumnDef="Quoi">
    <mat-header-cell *matHeaderCellDef mat-sort-header> Quoi </mat-header-cell>
    <mat-cell *matCellDef="let element">
      <div *ngIf="element.quoi === 'N'"><img src="assets/natation.png" class="choixsport"></div>
      <div *ngIf="element.quoi === 'V'"><img src="assets/velo.png" class="choixsport"></div>
      <div *ngIf="element.quoi === 'C'"><img src="assets/course.png" class="choixsport"></div>
    </mat-cell>
  </ng-container>
  <ng-container matColumnDef="Quand">
    <mat-header-cell *matHeaderCellDef mat-sort-header> Quand </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.quandH }} </mat-cell>
  </ng-container>
  <ng-container matColumnDef="laPlusla">
    <mat-header-cell *matHeaderCellDef mat-sort-header> La ? </mat-header-cell>
    <mat-cell *matCellDef="let element">
      <mat-icon [style.color]="element.color">{{element.icon}}</mat-icon>
    </mat-cell>
  </ng-container>

  <mat-header-row *matHeaderRowDef="titreColonnes; sticky: true"></mat-header-row>
  <mat-row *matRowDef="let row; columns: titreColonnes;" class="passer-dessus" [style.background-color]="row.backgroundColor" (click)="laPaslaHoraire(row)"></mat-row>


</mat-table>

</div>